Bug 16897 - Re-focus on "Add item" in Lists
Summary: Re-focus on "Add item" in Lists
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Lists (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Fridolin Somers
QA Contact: Testopia
URL:
Keywords:
Depends on: 11325
Blocks:
  Show dependency treegraph
 
Reported: 2016-07-11 14:30 UTC by Fridolin Somers
Modified: 2017-12-07 22:16 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16897 - Re-focus on "Add item" in Lists (3.71 KB, patch)
2016-07-11 14:36 UTC, Fridolin Somers
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 16897 - Re-focus on "Add item" in Lists (3.85 KB, patch)
2016-07-12 13:17 UTC, Owen Leonard
Details | Diff | Splinter Review
[PASSED QA] Bug 16897 - Re-focus on "Add item" in Lists (3.87 KB, patch)
2016-07-12 21:02 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Fridolin Somers 2016-07-11 14:30:36 UTC
Bug 11325 add solved a focus on "Add item" missing in Lists page.
Since revamping of this page, the add item form exists both in page.
The one corrected by Bug 11325 is not visible because it checks a bad var allowaddingitem instead of can_add_biblios.
Comment 1 Fridolin Somers 2016-07-11 14:36:44 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2016-07-12 13:17:11 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2016-07-12 21:02:11 UTC
Created attachment 53351 [details] [review]
[PASSED QA] Bug 16897 - Re-focus on "Add item" in Lists

Bug 11325 add solved a focus on "Add item" missing in Lists page.
Since revamping of this page, the add item form exists both in page.
The one corrected by Bug 11325 is not visible because it checks a bad
var allowaddingitem instead of can_add_biblios.

This patch removes the first form and corrects the second form.
It moves the form at left part of page so that it is always shown
(usefull when there are a lot of items). It does not add the list name
after "Add item" besause it whould be huggly for long names and because
listname already exists in breadscrumbs and on top of the table.
It also adds autocomplete="off" on barcode input because there can be
problems with a scanning device.

Test instructions:
1. Create a list
2. Make sure you have an object with an assigned barcode
3. Go to the list
   => The barcode entry interface should be at left and has the focus
4. Enter the barcode and press enter (or use a scanner)
   => The item is added to the list

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

This is a nice improvement, thanks!

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Katrin Fischer 2016-07-12 21:02:47 UTC
I just had a library report this as a bug - love it!
Comment 5 Fridolin Somers 2016-07-13 15:21:42 UTC
(In reply to Katrin Fischer from comment #4)
> I just had a library report this as a bug - love it!

Thanks ! I also love my work, its always perfect ;)
Comment 6 Kyle M Hall 2016-07-15 15:05:56 UTC
Pushed to master for 16.11, thanks Frido!
Comment 7 Frédéric Demians 2016-08-01 13:40:27 UTC
Pushed in 16.05. Will be in 16.05.02.
Comment 8 Julian Maurice 2016-08-17 10:55:16 UTC
Patch pushed to 3.22.x, will be in 3.22.10